.wp-block-navigation,
.wp-block-navigation__responsive-container-content{
    row-gap: 10px;
}

.wp-block-navigation {
    .current-menu-item{
        > .wp-block-navigation-item__content{
            color: var(--wp--preset--color--primary) !important;
        }
    }
    .wp-block-navigation__submenu-container {
        --wp--preset--font-size--p: 14px;

        background-color: unset !important;
        border: unset !important;
        min-width: 300px !important;
        padding-top: 12px;

        .wp-block-navigation-item{
            background-color: var(--wp--preset--color--white);
            overflow: hidden;

            &:first-child{
                border-radius: 6px 6px 0 0;
            }

            &:last-child{
                border-radius: 0 0 6px 6px;
            }

            .wp-block-navigation-item__content{
                text-decoration: unset !important;
                transition-property: background-color, color;
                transition-duration: 0.2s;
                transition-timing-function: ease-in-out;

                &:hover{
                    background-color: var(--wp--preset--color--primary);
                    color: var(--wp--preset--color--secondary);
                }
            }
        }
    }
}

footer{
    .wp-block-navigation{
        .wp-block-navigation-link{
            a.wp-block-navigation-item__content{
                span.wp-block-navigation-item__label{
                    transition-property: color;
                    transition-duration: 0.2s;
                    transition-timing-function: ease-in-out;
                }
                &:hover{
                    span.wp-block-navigation-item__label{
                        color: var(--wp--preset--color--primary);
                    }
                }
            }
        }
    }
}